Skip to content

Update KYC Status

| View as Markdown

KYC documents are collected to confirm the details of customer. This API is for updating kyc status of a customer before and after verification. We must pass entity id, doc type, doc number, kyc type, reg date, reason desc and update kyc address in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/cards/api/update-kyc-status
FieldTypeDescription
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
tokentextWill be provided by airpay(required)
FieldTypeRequiredDescription
entity_idTextYesCustomer ID registered with the system (length 50)
doc_typeTextYesCustomer ID type such as PAN, Passport, etc.
doc_numberTextYesUnique number of the customer ID type
kyc_typeTextYesKYC type to convert. Possible values: FULL, MIN, PARTIAL
reg_dateTextYesID type registration date in yyyy-mm-dd format
reason_descTextYesReason for converting KYC type
update_kyc_addressTextNoNew address
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/update-kyc-status' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'doc_type=PAN' \
--data-urlencode 'doc_number=BPDPV1436E' \
--data-urlencode 'kyc_type=MIN' \
--data-urlencode 'reg_date=2018-10-25' \
--data-urlencode 'reason_desc=Kyc Details Updation' \
--data-urlencode 'update_kyc_address=Address'
FieldTypeDescription
statusnumeric400- fail,200-success
messagetextSuccess, Fail
datajson[]
{
"status": 200,
"message": "success",
"data": []
}
{
"status": 400,
"message": "fail"
}